WordPress.org

Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Telephone Number Linker

Makes sure telephone numbers are clickable on mobile devices

WordPress 3.0 and Above

  1. Upload to the /wp-content/plugins directory
  2. Activate
  3. Use shortcode [telnumlink] to enclose your phone number eg: [telnumlink]123456789[/telnumlink]
  4. Or use shortcode to enclose HTML eg: [telnumlink "123456789"]<p>Call us today!</p><img src="phone.jpg"/>[/telnumlink]
  5. Alternatively a CSS class of mobile_tel to any element you want to become available as a clickable link for mobile devices.
  6. Using shortcode is better.

You can use the shortcode like this:

Dial this number: [telnumlink]0208 555 555[/telnumlink]

And mobiles will output a clickable number:

Dial this number: <a href="tel:0208 555 555">0208 555 555</a>

Desktops will output just the text:

Dial this number: 0208 555 555

You can also enclose any text (or HTML) in shortcode and make it into a telephone link. Add the number in double quote marks inside the opening shortcode tag:

[telnumlink "0208 555 555"]Dial this number now to get through to one of our operators: 0208 555 555[/telnumlink]

Mobiles will output a link:

a href="tel:0208 555 555">Dial this number now to get through to one of our operators: 0208 555 555</a>

Desktops will output no link:

Dial this number now to get through to one of our operators: 0208 555 555

Using a CSS class:

If you want to use a CSS class to create a link - in your WordPress edit page you might enter:

Dial this number: <span class="mobile_tel">0208 555 555</span>

And where a mobile browser is detected this will be output as a linkÉ

Dial this number: <a href="tel:0208 555 555"><span class="mobile_tel">0208 555 555</span></a>

Desktops will output a span with no link:

Dial this number: <span class="mobile_tel">0208 555 555</span>

Feel free to suggest changes / improvements to this plugin.

Requires: 3.0 or higher
Compatible up to: 3.6.1
Last Updated: 2 years ago
Active Installs: 7,000+

Ratings

4.6 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
0,1,0
0,1,0
100,2,2